#!/bin/sh

set -x -e

cd /root

chmod 0600 .ssh/id_ed25519

cat > .ssh/config <<EOF
Host backuphost
	HostName $TARGET_SSH_HOST
	Port $TARGET_SSH_PORT
	User $TARGET_SSH_USER
EOF

consul kv export > consul_kv_dump.json
gzip consul_kv_dump.json

rsync -vvvz --progress consul_kv_dump.json.gz "backuphost:$TARGET_SSH_DIR/consul/"
